function SCAD_value = SCAD(w)
    SCAD_vector = 2 * (0 <= abs(w)) .* (abs(w) <= 1) ...
                  + (-w.^2 + 4*abs(w) + 1) .* (1 < abs(w)) .* (abs(w) <= 2) ...
                  + 3 * (2 < abs(w));
    SCAD_value = sum(SCAD_vector);
end